Skip to content
Power301/API
Sign inGet API key
Links · links.destroy
DELETE/links/{id}links.destroy

Delete a link

The link's change history is deleted with it.

Base URL
https://api.power301.com/v1
Auth
Bearer token
Idempotent
Yes
Returns
application/json

The request

Call DELETE /links/{id} with your bearer token. The id path segment identifies the record.

# Delete a link
curl -X DELETE "https://api.power301.com/v1/links/9f2a7c31-4b8e-4a02-9d1f-0c6b7e5a1d44" \
  -H "Authorization: Bearer $POWER301_TOKEN"

Path parameters

ParameterDescription
idRequiredstring

The response

A 204 returns the record as JSON.

{
  "message": "The given data was invalid."
}

Status codes

204
No contentNo content
401
UnauthenticatedUnauthenticated
429
Too many requestsToo many requests
484
Bad requestThe workspace role of the authenticated user is too low for this action.